This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1023605 - (ghc-language-ecmascript) Review Request: ghc-language-ecmascript - JavaScript parser and pretty-printer library
Review Request: ghc-language-ecmascript - JavaScript parser and pretty-printe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 892579 ghc-data-default-class
Blocks: Elm
  Show dependency treegraph
 
Reported: 2013-10-25 18:22 EDT by Ricky Elrod
Modified: 2013-12-22 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-language-ecmascript-0.15.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 22:46:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-10-25 18:22:37 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-language-ecmascript/ghc-language-ecmascript.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-language-ecmascript/ghc-language-ecmascript-0.15.2-1.fc20.src.rpm
Description:
Tools for working with ECMAScript 3 (popularly known as JavaScript).
Includes a parser, pretty-printer, tools for working with source tree
annotations and an arbitrary instance. See CHANGELOG for a summary of changes.

Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-11-14 22:01:50 EST
Koji rawhide scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=6182249
Comment 2 Jens Petersen 2013-11-18 00:11:08 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-language-ecmascript-devel. Does not provide
  -static: ghc-language-ecmascript-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

This is a fedora-review bug: ghc-language-ecmascript-static is provided by devel. Ignored.

- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1167360 bytes in 71 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

I think this can be waived the devel files are much larger:

19M	lib64
1.2M	share

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.

I filed bug 1031482 for the false positives it shows for these 2.

[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.

[x]: Changelog in prescribed format.

Would be nice to have a new changelog entry though.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.

Maybe remove "See CHANGELOG for a summary of changes." from the description.
But I would suggest adding the file to the devel subpackage.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1228800 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-language-ecmascript-0.15.2-1.fc21.x86_64.rpm
          ghc-language-ecmascript-devel-0.15.2-1.fc21.x86_64.rpm
          ghc-language-ecmascript-0.15.2-1.fc21.src.rpm
ghc-language-ecmascript.x86_64: W: incoherent-version-in-changelog 0.15.2 ['0.15.2-1.fc21', '0.15.2-1']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-language-ecmascript ghc-language-ecmascript-devel
ghc-language-ecmascript.x86_64: W: incoherent-version-in-changelog 0.15.2 ['0.15.2-1.fc21', '0.15.2-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-language-ecmascript (rpmlib, GLIBC filtered):
    ghc(Diff-0.3.0-17d3ddb42675017dc066afaa731d1baf)
    ghc(QuickCheck-2.6-618e1492f30df5c5d2e8f68385046520)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(data-default-class-0.0.1-28917cfaaa79950ce0c5af98dd8bce64)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc(uniplate-1.6.10-9c77af54b48e9237bd9b5b633a0939df)
    libHSDiff-0.3.0-ghc7.6.3.so()(64bit)
    libHSQuickCheck-2.6-ghc7.6.3.so()(64bit)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdata-default-class-0.0.1-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSrandom-1.0.1.1-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSuniplate-1.6.10-ghc7.6.3.so()(64bit)
    libHSunordered-containers-0.2.3.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-language-ecmascript-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(language-ecmascript-0.15.2-00a97e50e9bf52549fdc3bb812462e85)
    ghc-compiler
    ghc-devel(Diff-0.3.0-17d3ddb42675017dc066afaa731d1baf)
    ghc-devel(QuickCheck-2.6-618e1492f30df5c5d2e8f68385046520)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(data-default-class-0.0.1-28917cfaaa79950ce0c5af98dd8bce64)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc-devel(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc-devel(uniplate-1.6.10-9c77af54b48e9237bd9b5b633a0939df)
    ghc-language-ecmascript(x86-64)

Provides
--------
ghc-language-ecmascript:
    ghc(language-ecmascript-0.15.2-00a97e50e9bf52549fdc3bb812462e85)
    ghc-language-ecmascript
    ghc-language-ecmascript(x86-64)
    libHSlanguage-ecmascript-0.15.2-ghc7.6.3.so()(64bit)

ghc-language-ecmascript-devel:
    ghc-devel(language-ecmascript-0.15.2-00a97e50e9bf52549fdc3bb812462e85)
    ghc-language-ecmascript-devel
    ghc-language-ecmascript-devel(x86-64)
    ghc-language-ecmascript-static

Unversioned so-files
--------------------
ghc-language-ecmascript: /usr/lib64/ghc-7.6.3/language-ecmascript-0.15.2/libHSlanguage-ecmascript-0.15.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/language-ecmascript/0.15.2/language-ecmascript-0.15.2.tar.gz :
  CHECKSUM(SHA256) this package     : 7c00e20d6e329b5a9add58f644ec8792dfeebcb3ca28333e6bcd67295cd25fc7
  CHECKSUM(SHA256) upstream package : 7c00e20d6e329b5a9add58f644ec8792dfeebcb3ca28333e6bcd67295cd25fc7

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1023605
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


Package is APPROVED but please check over the minor inline comments
above when importing.
Comment 3 Ricky Elrod 2013-11-18 00:20:20 EST
Thanks!

New Package SCM Request
=======================
Package Name: ghc-language-ecmascript
Short Description: JavaScript parser and pretty-printer library
Owners: codeblock petersen
Branches: f19 f20
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2013-11-18 08:05:15 EST
Git done (by process-git-requests).
Comment 5 Fedora Update System 2013-12-04 01:11:33 EST
ghc-language-ecmascript-0.15.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-language-ecmascript-0.15.2-2.fc19
Comment 6 Fedora Update System 2013-12-04 01:11:46 EST
ghc-language-ecmascript-0.15.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-language-ecmascript-0.15.2-2.fc20
Comment 7 Fedora Update System 2013-12-04 19:42:38 EST
ghc-language-ecmascript-0.15.2-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-12-22 22:46:46 EST
ghc-language-ecmascript-0.15.2-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Fedora Update System 2013-12-22 22:47:09 EST
ghc-language-ecmascript-0.15.2-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.